Tiktok
List a TikTok user's followers
Returns a paginated list of users following the given user.
Authorization
bearerAuth AuthorizationBearer <token>
UnifAPI API key (forwarded verbatim as the upstream provider token).
In: header
Path Parameters
id*string
TikTok sec_uid
Length
20 <= lengthQuery Parameters
cursor?string
limit?integer
Default
20Range
1 <= value <= 50Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tiktok/users/stringstringstringst/followers"{
"items": [
{
"id": "string",
"username": "string",
"display_name": "string",
"avatar_url": "string",
"bio": "string",
"is_verified": true,
"is_private": true,
"follower_count": 0,
"following_count": 0,
"like_count": 0,
"video_count": 0,
"region": "string"
}
],
"has_more": true,
"next_cursor": "string"
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}Search TikTok videos by keyword
Returns a paginated list of TikTok videos matching the keyword `q`. Use `next_cursor` from the response as the next request's `cursor`. When `has_more` is false, `next_cursor` is null.
List users a TikTok user is following
Returns a paginated list of users the given user is following.